#! /usr/bin/env bash

#SBATCH --nodes=1
#SBATCH --ntasks-per-node=2
#SBATCH --cpus-per-task=4
#SBATCH --time=1:00

# Use this as following
#   $> sbatch -p batch|rome <this file>
#
# NOTE:
#   First compile in aristotle with
#   $> module load gcc/9.2.0 openmpi/4.0.3
#   $> make -j hpc-build
#

module load gcc/9.2.0 openmpi/4.0.3
# Note:
#   The above versions are matching w/ my system's
#   versions, thus making compiling/debugging easier.

# Suppress unused UCX_ROOT warning
export UCX_WARN_UNUSED_ENV_VARS=n

# Suppress CUDA-aware support is disabled warning
export OMPI_MCA_opal_warn_on_missing_libcuda=0

srun ./out-rc3a/distbitonic -q 27 --perf --validation